Name: libopenr2.3
Version: 1.3.0
Release: alt3

Summary: MFC/R2 call setup library
License: LGPL
Group: System/Libraries
Url: http://www.libopenr2.org/

Source: %name-%version-%release.tar

BuildRequires: dahdi-linux-headers

%description
OpenR2 is a library that implements the MFC/R2 signalling over E1 lines using
the Zapata Telephony interface. The MF R2 tones required for the signaling are
generated by code borrowed from the LGPL library SpanDSP written by Steve Underwood,
the user has the option to provide a MF interface to use his own MF R2 tone generation
and detection so the library will use them when needed, that's why this library does not
depend directly on spandsp, libteletone or zaptel for tone generation and detection
(depends on zaptel for ABCD bits and general media transmission though)

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release
Conflicts: libopenr2-devel

%package -n openr2-utils
Summary: OpenR2 utilities
Group: Networking/Other
Conflicts: libopenr2

%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%description -n openr2-utils
OpenR2 is a library that implements the MFC/R2 signalling over E1 lines
using the Zapata Telephony interface.
This package contains OpenR2 utilities.

%prep
%setup 

%build
%autoreconf
%configure --sysconfdir=%_sysconfdir/openr2 --disable-static
%make_build

%install
%makeinstall_std

%files
%doc AUTHORS ChangeLog COPYING COPYING.LESSER NEWS README TODO
%doc doc/*.alaw doc/README.asterisk

%_libdir/*.so.*

%files devel
%_includedir/openr2.h
%_includedir/openr2
%_libdir/*.so

%files -n openr2-utils
%dir %_sysconfdir/openr2
%config(noreplace) %_sysconfdir/openr2/r2test.conf
%config(noreplace) %_sysconfdir/openr2/r2proto.conf

%_bindir/r2test
%_bindir/r2dtmf_detect

%_man5dir/r2test.conf.5*
%_man8dir/r2test.8*

%changelog
* Tue Sep 25 2012 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.3.0-alt3
- fixed build

* Wed Jun 15 2011 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.3.0-alt2
- updated from svn r425

* Thu Dec 02 2010 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.3.0-alt1
- 1.3.0 released

* Sun Oct 10 2010 Denis Smirnov <mithraen@altlinux.ru> 1.2.0-alt3
- auto rebuild

* Mon Oct 05 2009 Denis Smirnov <mithraen@altlinux.ru> 1.2.0-alt2
- fix directory packaging 

* Thu Sep 17 2009 Denis Smirnov <mithraen@altlinux.ru> 1.2.0-alt1
- first build for Sisyphus

* Mon Mar 16 2009 Alexandre Alencar <alexandre.alencar@gmail.com>
- Updated package version number
- Updated to OpenR2 source package 1.2.0
- Fixed some typos

* Mon Feb 02 2009 Alexandre Alencar <alexandre.alencar@gmail.com>
- Updated package version number
- Add compilance with ANATEL (Brazilian telecomunications agency)

* Mon Jan 12 2009 Alexandre Alencar <alexandre.alencar@gmail.com>
- Update package version

* Sat Nov 29 2008 Alexandre Alencar <alexandre.alencar@gmail.com>
- Update package revision number
- Add missing files
- Small fixes on spec file

* Sat Nov 29 2008 Alexandre Alencar <alexandre.alencar@gmail.com>
- Update to latest SVN release
- Changed version number
- Added sample docs

* Thu Oct 30 2008 Alexandre Alencar <alexandre.alencar@gmail.com>
- Update to latest SVN release

* Thu Oct 09 2008 Alexandre Alencar <alexandre.alencar@gmail.com>
- Update to latest SVN release
- Added r2test and r2test.conf man pages
- Build r2test by default
- Add r2test.conf and r2proto.conf files

* Mon Sep 15 2008 Alexandre Alencar <alexandre.alencar@gmail.com>
- Update to latest SVN release
- Added r2hwcompat.h

* Thu Jul 10 2008 Alexandre Alencar <alexandre.alencar@gmail.com>
- Update to latest SVN release
- Removed rpath and libdir perl fix script as we don't need it

* Tue Jun 24 2008 Alexandre Alencar <alexandre.alencar@gmail.com>
- Update to lastest SVN release and changed release number to SVN

* Tue May 13 2008 Alexandre Alencar <alexandre.alencar@gmail.com>
- Update to lastest SVN release and add r2engine.h header
- Removed SpanDSP dependency to reflect upstream

* Thu May 08 2008 Alexandre Alencar <alexandre.alencar@gmail.com>
- Updated URL's, License to LGPL as upstream and conditional
- requirement of SpanDSP library and headers

* Tue Apr 29 2008 Alexandre Alencar <alexandre.alencar@gmail.com>
- Update to 1.1 version with Brazilian R2D support

* Thu Apr 24 2008 Alexandre Alencar <alexandre.alencar@gmail.com>
- Initial release
